/***************************************************************************
 *   Copyright (C) 2004 by David Banz                                      *
 *   neko@netcologne.de                                                    *
 *   GPL'ed                                                                *
 ***************************************************************************/

#ifndef CRAWGUI_H
#define CRAWGUI_H

#include <advlabel.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlcdnumber.h>
#include <qcheckbox.h>

class CRawGui : public QWidget
{
	Q_OBJECT
	
	public:
		CRawGui( QWidget* parent = NULL, const char* name = NULL );
		virtual ~CRawGui();
	protected:
		QLabel* m_pStatusBar;
		QLabel* m_pDummyBar;
		CAdvLabel* m_pFileBar;
		
		QPushButton* m_pPlayButton;
		QPushButton* m_pOpenButton;
		QPushButton* m_pStopButton;
		QPushButton* m_pQuitButton;
		
		QLCDNumber* m_pSongLcd;
		QPushButton* m_pDownButton;
		QPushButton* m_pUpButton;
	
		QLCDNumber* m_pBitLcd;
		QPushButton* m_pEightButton;
		QPushButton* m_pSixteenButton;
	
		QLCDNumber* m_pFreqLcd;
		QPushButton* m_pHiButton;
		QPushButton* m_pLoButton;
	
		QCheckBox* m_pToolTipCheck;
	
		QPushButton* m_pHelpButton;
		QPushButton* m_pAboutButton;
	
		QLabel* m_pSeparationBar;
		QPushButton* m_pMonoButton;
		QPushButton* m_pHeadphonesButton;
		QPushButton* m_pStereoButton;

		QCheckBox* m_pOverSample;

		QCheckBox* m_pGemxButton;
		QCheckBox* m_pDangerFreakButton;
};

#endif
