/***************************************************************************
 *   Copyright (C) 2004 by David Banz                                      *
 *   neko@netcologne.de                                                    *
 *   GPL'ed                                                                *
 ***************************************************************************/

#ifndef CADVLABEL_H
#define CADVLABEL_H

#include <qlineedit.h>

/**a label with selectable and scrollable text
  *@author David Banz
  */
class CAdvLabel : public QLineEdit
{
	Q_OBJECT
	public:
		CAdvLabel(QWidget* parent, const char* name);
		virtual ~CAdvLabel();
	public:
		QString m_oStoredString;
		void storeText(QString str);
	protected slots:
		void restoreText();
};

#endif
