/***************************************************************************
 *   Copyright (C) 2004 by David Banz                                      *
 *   neko@netcologne.de                                                    *
 *   GPL'ed                                                                *
 ***************************************************************************/

#include "ktfxsplash.h"
#include "SakuraSplash8b.xpm"

CSplash::CSplash(QWidget *parent, const char *name) : QWidget(parent,name,4096)
{
	// center the splash screen on the desktop (more or less accurately)
	setGeometry( (QApplication::desktop()->width()/2)-225,
		(QApplication::desktop()->height()/2)-100, 451, 199);
	setFixedSize(451,199);
	// setup background pixmap
	m_oSplashPix=QPixmap(SakuraSplash8b);
	setBackgroundPixmap(m_oSplashPix);
	setCaption("Welcome to Sakuraplayer!");
}

CSplash::~CSplash()
{
}

void CSplash::mousePressEvent(QMouseEvent*)
{
	hide();
}
